unit TestFrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, Menus, StdCtrls, Buttons, WTaskBar;

type
  TDemoFrm = class(TForm)
    PopupMenu: TPopupMenu;
    WinTaskbar: TWinTaskbar;
    OneItm: TMenuItem;
    TwoItm: TMenuItem;
    ShowCBx: TCheckBox;
    HintEdt: TEdit;
    IconGBx: TGroupBox;
    Image1: TImage;
    Image2: TImage;
    Label1: TLabel;
    Image3: TImage;
    Image4: TImage;
    UpdateHintBtn: TSpeedButton;
    ClickTimeOutTimer: TTimer;
    UseClickCBx: TCheckBox;
    procedure ShowCBxClick(Sender: TObject);
    procedure ImageClick(Sender: TObject);
    procedure UpdateHintBtnClick(Sender: TObject);
    procedure ItmClick(Sender: TObject);
    procedure WinTaskbarDblClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure WinTaskbarClick(Sender: TObject);
    procedure ClickTimeOutTimerTimer(Sender: TObject);
    procedure UseClickCBxClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DemoFrm: TDemoFrm;

implementation

{$R *.DFM}

procedure TDemoFrm.ShowCBxClick(Sender: TObject);
begin
  WinTaskBar.ShowIcon := (Sender as TCheckBox).Checked;
end;

procedure TDemoFrm.ImageClick(Sender: TObject);
begin
  WinTaskBar.Icon := (Sender as TImage).Picture.Icon;
end;

procedure TDemoFrm.UpdateHintBtnClick(Sender: TObject);
begin
  WinTaskBar.Hint := HintEdt.Text;
end;

procedure TDemoFrm.ItmClick(Sender: TObject);
begin
  ShowMessage( 'Do ' + (Sender as TMenuItem).Caption);
end;

procedure TDemoFrm.WinTaskbarDblClick(Sender: TObject);
begin
  // next line only needed if SINGLE click is also needed
  if UseClickCBx.Checked then ClickTimeOutTimer.Enabled := False;
  ShowMessage( 'Do Double Click');
end;

procedure TDemoFrm.FormShow(Sender: TObject);
begin
  ShowCBx.Checked := WinTaskBar.ShowIcon;
  UseClickCBx.Checked := Assigned( WinTaskBar.OnClick);
end;


// All below here only needed if you want to support SIBGLE click also.

procedure TDemoFrm.WinTaskbarClick(Sender: TObject);
begin
  ClickTimeOutTimer.Enabled := True;
end;

procedure TDemoFrm.ClickTimeOutTimerTimer(Sender: TObject);
begin
  ClickTimeOutTimer.Enabled := False;
  ShowMessage( 'Do Click')
end;

procedure TDemoFrm.UseClickCBxClick(Sender: TObject);
begin
  if UseClickCBx.Checked then
    WinTaskBar.OnClick := WinTaskbarClick
  else
    WinTaskBar.OnClick := nil;
end;

end.
